path: /build/build/telegram-desktop-bin-net-im-5.3.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} net-im/telegram-desktop-bin -pv -t && \
    emerge -j ${JOBS} --nodeps net-im/telegram-desktop-bin
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/telegram-desktop-bin && luet-portage
    --dir /pkgdir/telegram-desktop-bin net-im/telegram-desktop-bin && eval 'rm -v
    /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:7c03c480d40283fe1be391c580bebf72cc30e5aa3b1348558458c609e9d3adc7
  package:
    name: telegram-desktop-bin
    version: 5.3.2
    category: net-im
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Official desktop client for Telegram (binary package)
    uri:
    - https://desktop.telegram.org
    license: GPL-3-with-openssl-exception
    buildtimestamp: 2024-08-25 13:30:31.425347571 +0000 UTC m=+214.626601145
    labels:
      DEPEND: dev-util/desktop-file-utils x11-misc/shared-mime-info
      RDEPEND: dev-libs/glib:2 dev-libs/gobject-introspection >=media-libs/fontconfig-2.13
        >=sys-apps/dbus-1.4.20 x11-libs/libX11 >=x11-libs/libxcb-1.10[xkb]
      emerge.packages: net-im/telegram-desktop-bin
      kit: net-kit
      original.package.name: net-im/telegram-desktop-bin
      original.package.slot: "0"
      original.package.version: 5.3.2
    treedir: /build/packages
  package_dir: /pkgdir/telegram-desktop-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2ce2f2de6bc1d9afb551b11ab9c9e11ad455b6bac67a723971c72df3754cdb85
compressiontype: zstd
files:
- usr/bin/telegram-desktop
- usr/lib/telegram-desktop-bin/Telegram
- usr/share/applications/org.telegram.desktop.desktop
- usr/share/icons/hicolor/128x128/apps/telegram.png
- usr/share/icons/hicolor/16x16/apps/telegram.png
- usr/share/icons/hicolor/256x256/apps/telegram.png
- usr/share/icons/hicolor/32x32/apps/telegram.png
- usr/share/icons/hicolor/512x512/apps/telegram.png
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/BUILD_TIME
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/CATEGORY
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/CBUILD
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/CFLAGS
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/CHOST
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/CONTENTS
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/COUNTER
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/CTARGET
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/CXX
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/CXXFLAGS
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/DEFINED_PHASES
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/DEPEND
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/DESCRIPTION
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/EAPI
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/FEATURES
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/HOMEPAGE
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/INHERITED
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/IUSE
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/IUSE_EFFECTIVE
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/KEYWORDS
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/LDFLAGS
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/LICENSE
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/NEEDED
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/NEEDED.ELF.2
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/PF
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/QA_PREBUILT
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/RDEPEND
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/REQUIRES
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/SIZE
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/SLOT
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/USE
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/environment.bz2
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/repository
- var/db/pkg/net-im/telegram-desktop-bin-5.3.2/telegram-desktop-bin-5.3.2.ebuild
package_cacheimage: ""
runtime:
  name: telegram-desktop-bin
  version: 5.3.2
  category: net-im
  requires:
  - name: gobject-introspection
    version: '>=0'
    category: dev-libs
  - name: fontconfig
    version: '>=0'
    category: media-libs-1.0
  - name: dbus
    version: '>=0'
    category: sys-apps
  - name: libX11
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Official desktop client for Telegram (binary package)
  uri:
  - https://desktop.telegram.org
  license: GPL-3-with-openssl-exception
  labels:
    DEPEND: dev-util/desktop-file-utils x11-misc/shared-mime-info
    RDEPEND: dev-libs/glib:2 dev-libs/gobject-introspection >=media-libs/fontconfig-2.13
      >=sys-apps/dbus-1.4.20 x11-libs/libX11 >=x11-libs/libxcb-1.10[xkb]
    emerge.packages: net-im/telegram-desktop-bin
    kit: net-kit
    original.package.name: net-im/telegram-desktop-bin
    original.package.slot: "0"
    original.package.version: 5.3.2
